diff --git b/sysdeps/linux/ata.c a/sysdeps/linux/ata.c
index 31b05a4..6ef013e 100644
--- b/sysdeps/linux/ata.c
+++ a/sysdeps/linux/ata.c
@@ -22,6 +22,7 @@
 
 #include "config.h"
 
+#include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
 #include <sys/stat.h>
